class Store {
private:
  long elements, chunks;
  double *store;
  FastDynaArray<double *> chunk;
public:
  inline double *insert(double _entry) {
    #ifdef DEBUG
    cout << "store insert: " << _entry << " at position " << elements << endl;
    #endif
    if (elements==1024) {
      elements = 0;
      chunk.check(chunks);
      chunk[chunks] = store;
      chunks++;
      store = new double[1024];
    }
    store[elements] = _entry;
    return &store[elements++];
  }
  inline double &getEntry(long n) const { return store[n]; }
  inline double &operator () (register long n) {
    return store[n];
  }
  inline void setEntry(long _index, double _entry) { store[_index] = _entry; }
  inline long getElements() { return elements; }
  Store() {
    elements = 0;
    store = new double[1024];
    chunks = 0;
  }
  ~Store () {
    delete store;
    for (int c=0; c<chunks; c++)
      delete chunk[c];
  }
};

// extern Store *store;


